using System;

namespace ConsoleApp1
{
    class Program
    {
       public static void Main(string[] args)
        {
            string unosslova = Console.ReadLine();
            char[] slova = unosslova.ToCharArray();
            string[] unos2 = Console.ReadLine().Split();
            int a1 = int.Parse(unos2[0]);
            int a2 = int.Parse(unos2[1]);
            int a3 = Math.Min(a1, a2);
            string res = new string(' ', a3).Replace(" ", unosslova);
            if (a1 == a2)
            {
                Console.WriteLine(res);
            }
            else if (a1 + 1 == a2)
            {
                Console.WriteLine(slova[1] + res);
            }
            else if (a2 + 1 == a1)
            {
                Console.WriteLine(res + slova[0]);
            }
            else
            {
                Console.WriteLine("nemoguce");
            }

        }
    }
}